Bug 1413313 - Dependencies: eclipse-mylyn doesn't need eclipse-pde installed
Summary: Dependencies: eclipse-mylyn doesn't need eclipse-pde installed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mat Booth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-14 20:43 UTC by Christian Stadelmann
Modified: 2019-03-29 19:14 UTC (History)
7 users (show)

Fixed In Version: eclipse-4.11-2.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-29 19:14:58 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Eclipse Project 50517 0 None None None 2019-03-14 09:46:59 UTC

Description Christian Stadelmann 2017-01-14 20:43:26 UTC
Description of problem:
eclipse-mylyn has unnecessary dependencies.

Version-Release number of selected component (if applicable):
eclipse-mylyn-3.21.0-1.fc25.noarch
eclipse-platform-4.6.1-6.fc25.x86_64

How reproducible:
always

Steps to Reproduce:
1. Try to install eclipse-cdt on a fresh Fedora installation
2. watch the dependencies pulled in

Actual results:
eclipse-cdt pulls in eclipse-pde

Expected results:
Don't pull in eclipse-pde. This is how the official eclipse CDT downloads are created. See https://www.eclipse.org/downloads/packages/eclipse-ide-cc-developers/neon2 for details.

Comment 1 Mat Booth 2017-01-19 23:47:20 UTC
It looks like there are some CVS related bundles in the mylyn-common sub-package which pulls in PDE (which contains the CVS client). Probably these could move into the mylyn-context-pde and/or mylyn-versions-cvs packages.

Comment 2 Fedora End Of Life 2017-11-16 19:34:09 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Christian Stadelmann 2018-10-08 12:30:41 UTC
Still present in Fedora 29 Beta, eclipse 4.9.0-2.fc29

Comment 4 Fedora Update System 2019-03-14 09:46:15 UTC
eclipse-4.11-2.fc30 eclipse-egit-5.3.0-1.fc30 eclipse-egit-github-5.3.0-1.fc30 eclipse-epp-logging-2.0.7-7.fc30 eclipse-jgit-5.3.0-2.fc30 eclipse-license-2.0.1-7.fc30 eclipse-mpc-1.7.5-1.fc30 eclipse-pydev-7.1.0-2.fc30 tycho-1.3.0-4.fc30 tycho-extras-1.3.0-2.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-e076afa6a2

Comment 5 Fedora Update System 2019-03-14 20:59:16 UTC
eclipse-4.11-2.fc30, eclipse-abrt-0.0.3-9.fc30, eclipse-dltk-5.11.0-1.fc30, eclipse-dtp-1.14.102-4.fc30, eclipse-egit-5.3.0-1.fc30, eclipse-egit-github-5.3.0-1.fc30, eclipse-epp-logging-2.0.7-7.fc30, eclipse-gef-3.11.0-9.fc30, eclipse-jgit-5.3.0-2.fc30, eclipse-launchbar-2.2.3-1.fc30, eclipse-license-2.0.1-7.fc30, eclipse-linuxtools-7.2.0-2.fc30, eclipse-mpc-1.7.5-1.fc30, eclipse-pydev-7.1.0-2.fc30, eclipse-remote-3.0.1-2.fc30, swt-chart-0.10.0-7.fc30, tycho-1.3.0-4.fc30, tycho-extras-1.3.0-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-e076afa6a2

Comment 6 Fedora Update System 2019-03-14 22:55:12 UTC
eclipse-4.11-2.fc30 eclipse-abrt-0.0.3-9.fc30 eclipse-dltk-5.11.0-1.fc30 eclipse-dtp-1.14.102-4.fc30 eclipse-egit-5.3.0-1.fc30 eclipse-egit-github-5.3.0-1.fc30 eclipse-epp-logging-2.0.7-7.fc30 eclipse-gef-3.11.0-9.fc30 eclipse-jgit-5.3.0-2.fc30 eclipse-launchbar-2.2.3-1.fc30 eclipse-license-2.0.1-7.fc30 eclipse-linuxtools-7.2.0-2.fc30 eclipse-mpc-1.7.5-1.fc30 eclipse-photran-9.2.1-3.fc30 eclipse-ptp-9.2.1-3.fc30 eclipse-pydev-7.1.0-2.fc30 eclipse-remote-3.0.1-2.fc30 eclipse-tm-terminal-4.5.100-1.fc30 swt-chart-0.10.0-7.fc30 tycho-1.3.0-4.fc30 tycho-extras-1.3.0-2.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-e076afa6a2

Comment 7 Fedora Update System 2019-03-16 20:17:39 UTC
apache-sshd-2.0.0-4.fc30, eclipse-4.11-2.fc30, eclipse-abrt-0.0.3-9.fc30, eclipse-dltk-5.11.0-1.fc30, eclipse-dtp-1.14.102-4.fc30, eclipse-egit-5.3.0-2.fc30, eclipse-egit-github-5.3.0-1.fc30, eclipse-epp-logging-2.0.7-8.fc30, eclipse-gef-3.11.0-9.fc30, eclipse-jgit-5.3.0-4.fc30, eclipse-launchbar-2.2.3-1.fc30, eclipse-license-2.0.1-7.fc30, eclipse-linuxtools-7.2.0-4.fc30, eclipse-m2e-core-1.11.0-1.fc30, eclipse-m2e-wtp-1.4.1-3.fc30, eclipse-mpc-1.7.5-2.fc30, eclipse-photran-9.2.1-3.fc30, eclipse-ptp-9.2.1-3.fc30, eclipse-pydev-7.1.0-2.fc30, eclipse-remote-3.0.1-2.fc30, eclipse-subclipse-4.3.0-0.3.git43b895a.fc30, eclipse-swtbot-2.8.0-3.fc30, eclipse-testng-6.14.3-2.fc30, eclipse-tm-terminal-4.5.100-1.fc30, eclipse-usage-4.11.0-1.fc30, eclipse-webtools-3.13.0-1.fc30, swt-chart-0.10.0-7.fc30, tycho-1.3.0-4.fc30, tycho-extras-1.3.0-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-e076afa6a2

Comment 8 Fedora Update System 2019-03-29 19:14:58 UTC
apache-sshd-2.0.0-4.fc30, eclipse-4.11-2.fc30, eclipse-abrt-0.0.3-9.fc30, eclipse-dltk-5.11.0-1.fc30, eclipse-dtp-1.14.102-4.fc30, eclipse-egit-5.3.0-2.fc30, eclipse-egit-github-5.3.0-1.fc30, eclipse-epp-logging-2.0.7-8.fc30, eclipse-gef-3.11.0-9.fc30, eclipse-jgit-5.3.0-4.fc30, eclipse-launchbar-2.2.3-1.fc30, eclipse-license-2.0.1-7.fc30, eclipse-linuxtools-7.2.0-4.fc30, eclipse-m2e-core-1.11.0-1.fc30, eclipse-m2e-wtp-1.4.1-3.fc30, eclipse-mpc-1.7.5-2.fc30, eclipse-photran-9.2.1-3.fc30, eclipse-ptp-9.2.1-3.fc30, eclipse-pydev-7.1.0-2.fc30, eclipse-remote-3.0.1-2.fc30, eclipse-subclipse-4.3.0-0.3.git43b895a.fc30, eclipse-swtbot-2.8.0-3.fc30, eclipse-testng-6.14.3-2.fc30, eclipse-tm-terminal-4.5.100-1.fc30, eclipse-usage-4.11.0-1.fc30, eclipse-webtools-3.13.0-1.fc30, swt-chart-0.10.0-7.fc30, tycho-1.3.0-4.fc30, tycho-extras-1.3.0-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.